summaryrefslogtreecommitdiff
path: root/script/build
diff options
context:
space:
mode:
authorLeah Rowe <leah@libreboot.org>2023-12-11 05:21:27 +0000
committerLeah Rowe <leah@libreboot.org>2023-12-11 05:21:27 +0000
commit2e779a54951406247197cf21a31c54a36ec1fa06 (patch)
tree381d1b71893bcbeae5f7029379174cbe31c97a1a /script/build
parent9558e2fce790b044c33c54dfc58780a66e98b770 (diff)
handle errors on exits from subshells
most of these are probably redundant, and will never be called, but lbmk needs to be as safe as possible under fault conditions. fail early, fail hard. Signed-off-by: Leah Rowe <leah@libreboot.org>
Diffstat (limited to 'script/build')
-rwxr-xr-xscript/build/grub2
1 files changed, 1 insertions, 1 deletions
diff --git a/script/build/grub b/script/build/grub
index 31fc0084..5fa47c00 100755
--- a/script/build/grub
+++ b/script/build/grub
@@ -38,7 +38,7 @@ build_grub_utils()
x_ ./autogen.sh
x_ ./configure --with-platform=coreboot
make -j$(nproc) FS_PAYLOAD_MODULES="" || err "!mk grub utils"
- )
+ ) || err "grub build error"
}
build_keymap_configs()